Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FSDK.TimeStampServer Class Reference

## Public Member Functions
| GetTimeStampMessage ()
| Get time stamp message. More...
| IsEmpty ()
| Check whether current object is empty or not. More...
| SendTimeStampRequest (request)
| Send time stamp request. More...

## Static Public Attributes
static | e_SendResultFailToConnect
| Fail to connect during sending request process.
static | e_SendResultFailToCreateSocket
| Fail to create socket during sending request process.
static | e_SendResultFailToGetData
| Fail to get data during sending request process.
static | e_SendResultFailToReceiveData
| Fail to receive data during sending request process.
static | e_SendResultFailToRequest
| Fail to request during sending request process.
static | e_SendResultFailToSendData
| Fail to send data during sending request process.
static | e_SendResultOutOfMemory
| Out of memory during sending request process.
static | e_SendResultSuccess
| Enumeration for the result of sending time stamp request. More...

## Detailed Description

This class represents time stamp server. It can be used to send time stamp request and then get the message.

## Member Function Documentation

## ◆ GetTimeStampMessage()

FSDK.TimeStampServer.GetTimeStampMessage | ( |  | ) |

Get time stamp message.

This function is to get the time stamp message after function FSDK.TimeStampServer.SendTimeStampRequest runs successfully.

Returns
  Time stamp message.

## ◆ IsEmpty()

FSDK.TimeStampServer.IsEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ SendTimeStampRequest()

FSDK.TimeStampServer.SendTimeStampRequest | ( | request |  | ) |

Send time stamp request.

Parameters

  [in] | request | Time stamp request to be sent. It should not be an empty string.

Returns
  Result value of the sending request process. Please refer to values starting from FSDK.TimeStampServer.e_SendResultSuccess and this would be one of these values.

## Member Data Documentation

## ◆ e_SendResultSuccess

FSDK.TimeStampServer.e_SendResultSuccess
| static

Enumeration for the result of sending time stamp request.

Values of this enumeration should be used alone.Send request successfully.